Bug 1469923 - atomic-openshift-master encounter fatal error and crash when aggregator is enabled
atomic-openshift-master encounter fatal error and crash when aggregator is en...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Jordan Liggitt
DeShuai Ma
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 01:47 EDT by DeShuai Ma
Modified: 2017-08-16 15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-16 15:36:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
atomic-openshift-master.log (9.74 MB, text/x-vhdl)
2017-07-12 01:47 EDT, DeShuai Ma
no flags Details

  None (edit)
Description DeShuai Ma 2017-07-12 01:47:04 EDT
Created attachment 1296735 [details]
atomic-openshift-master.log

Description of problem:
In atomic-openhsift-master log there is some fatal error and master exit.

Version-Release number of selected component (if applicable):
openshift v3.6.136
kubernetes v1.6.1+5115d708d7
etcd 3.2.1

How reproducible:
Sometime

Steps to Reproduce:
1.22330 Jul 11 23:12:01 host-8-175-112.host.centralci.eng.rdu2.redhat.com atomic-openshift-master[28634]: Trace[433975182]: [649.823333ms] [3.818µs] END
22331 Jul 11 23:12:01 host-8-175-112.host.centralci.eng.rdu2.redhat.com atomic-openshift-master[28634]: fatal error: concurrent map read and map write
22332 Jul 11 23:12:01 host-8-175-112.host.centralci.eng.rdu2.redhat.com atomic-openshift-master[28634]: goroutine 1975 [running]:
22333 Jul 11 23:12:01 host-8-175-112.host.centralci.eng.rdu2.redhat.com atomic-openshift-master[28634]: runtime.throw(0x5158ff6, 0x21)
22334 Jul 11 23:12:01 host-8-175-112.host.centralci.eng.rdu2.redhat.com atomic-openshift-master[28634]: /usr/lib/golang/src/runtime/panic.go:566 +0x95 fp=0xc425763a70 sp=0xc425763a50
22335 Jul 11 23:12:01 host-8-175-112.host.centralci.eng.rdu2.redhat.com atomic-openshift-master[28634]: runtime.mapaccess2(0x482ff20, 0xc42045e9c0, 0xc425763b10, 0xc04a320, 0x5043e20)
22336 Jul 11 23:12:01 host-8-175-112.host.centralci.eng.rdu2.redhat.com atomic-openshift-master[28634]: /usr/lib/golang/src/runtime/hashmap.go:340 +0x249 fp=0xc425763ab8 sp=0xc425763a70
22337 Jul 11 23:12:01 host-8-175-112.host.centralci.eng.rdu2.redhat.com atomic-openshift-master[28634]: github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime.(*Scheme).nameFunc(0xc4203e2100, 0xa3e8c40, 0x483bce0, 0x433f654,       0x6)
22338 Jul 11 23:12:01 host-8-175-112.host.centralci.eng.rdu2.redhat.com atomic-openshift-master[28634]: /builddir/build/BUILD/atomic-openshift-git-0.8ad3b1e/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/      runtime/scheme.go:112 +0x77 fp=0xc425763c80 sp=0xc425763ab8
22339 Jul 11 23:12:01 host-8-175-112.host.centralci.eng.rdu2.redhat.com atomic-openshift-master[28634]: github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime.(*Scheme).(github.com/openshift/origin/vendor/k8s.io/apimachinery/      pkg/runtime.nameFunc)-fm(0xa3e8c40, 0x483bce0, 0x195, 0xa3e8c40)
 
//------------------------
 
23678 Jul 11 23:12:01 host-8-175-112.host.centralci.eng.rdu2.redhat.com atomic-openshift-master[28634]: goroutine 342 [IO wait]:
23679 Jul 11 23:12:01 host-8-175-112.host.centralci.eng.rdu2.redhat.com atomic-openshift-master[28634]: runtime.gopark(0x7c5e598, 0x7fdd5e9da680, 0x50b81e4, 0x7, 0x4a5e1b, 0x5)
23680 Jul 11 23:12:02 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: atomic-openshift-master.service: main process exited, code=killed, status=6/ABRT
23681 Jul 11 23:12:02 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: Failed to start Atomic OpenShift Master.
23682 Jul 11 23:12:02 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: Unit atomic-openshift-master.service entered failed state.
23683 Jul 11 23:12:02 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: atomic-openshift-master.service failed.
23684 Jul 11 23:12:07 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: atomic-openshift-master.service holdoff time over, scheduling restart.
23685 Jul 11 23:12:07 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: Starting Atomic OpenShift Master...
23686 Jul 11 23:12:08 host-8-175-112.host.centralci.eng.rdu2.redhat.com openshift[28647]: simple token is not cryptographically signed
23687 Jul 11 23:12:10 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: atomic-openshift-master.service: main process exited, code=killed, status=6/ABRT
23688 Jul 11 23:12:10 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: Failed to start Atomic OpenShift Master.
23689 Jul 11 23:12:10 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: Unit atomic-openshift-master.service entered failed state.
23690 Jul 11 23:12:10 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: atomic-openshift-master.service failed.
23691 Jul 11 23:12:16 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: atomic-openshift-master.service holdoff time over, scheduling restart.
23692 Jul 11 23:12:16 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: Starting Atomic OpenShift Master...
23693 Jul 11 23:12:16 host-8-175-112.host.centralci.eng.rdu2.redhat.com openshift[28663]: simple token is not cryptographically signed
23694 Jul 11 23:12:19 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: atomic-openshift-master.service: main process exited, code=killed, status=6/ABRT
23695 Jul 11 23:12:19 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: Failed to start Atomic OpenShift Master.
23696 Jul 11 23:12:19 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: Unit atomic-openshift-master.service entered failed state.
23697 Jul 11 23:12:19 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: atomic-openshift-master.service failed.
23698 Jul 11 23:12:24 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: atomic-openshift-master.service holdoff time over, scheduling restart.
23699 Jul 11 23:12:24 host-8-175-112.host.centralci.eng.rdu2.redhat.com systemd[1]: Starting Atomic OpenShift Master...
23700 Jul 11 23:12:25 host-8-175-112.host.centralci.eng.rdu2.redhat.com openshift[28713]: simple token is not cryptographically signed
23701 Jul 11 23:12:26 host-8-175-112.host.centralci.eng.rdu2.redhat.com atomic-openshift-master[28713]: I0711 23:12:26.153206   28713 openshift_apiserver.go:243] Started Origin API at /oapi/v1
23702 Jul 11 23:12:26 host-8-175-112.host.centralci.eng.rdu2.redhat.com atomic-openshift-master[28713]: I0711 23:12:26.247640   28713 trace.go:76] Trace[370958516]: "cacher *user.Group: List" (started: 2017-07-11 23:12:25.691164066 -0400 
2.
3.

Actual results:


Expected results:


Additional info:
Detail master log attached
Comment 1 Jordan Liggitt 2017-07-14 23:31:20 EDT
can you attach the command-line and/or config used to start the server? is this an all-in-one setup? apiserver-only? apiserver+controllers?
Comment 2 Jordan Liggitt 2017-07-15 15:55:31 EDT
Can recreate with aggregator enabled.

written from:
goroutine 1 [running]:
runtime/debug.Stack(0x80913e0, 0x80913e0, 0xc4236c5530)
	/Users/jliggitt/.gvm/gos/go1.7.5/src/runtime/debug/stack.go:24 +0x79
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime.(*Scheme).AddKnownTypeWithName(0xc420134370, 0x8b87351, 0x16, 0x8b3a3af, 0x7, 0x7d4d404, 0xa, 0xdaea600, 0xc427d06a80)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime/scheme.go:235 +0x754
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime.(*Scheme).AddKnownTypes(0xc420134370, 0x8b87351, 0x16, 0x8b3a3af, 0x7, 0xc426419a90, 0x2, 0x2)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime/scheme.go:184 +0x1fb
github.com/openshift/origin/vendor/k8s.io/kube-aggregator/pkg/apis/apiregistration/v1beta1.addKnownTypes(0xc420134370, 0x0, 0x0)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/kube-aggregator/pkg/apis/apiregistration/v1beta1/register.go:40 +0x13f
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime.(*SchemeBuilder).AddToScheme(0xf74fa40, 0xc420134370, 0x8b3a3af, 0xc427ca6c30)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime/scheme_builder.go:29 +0x58
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime.(*SchemeBuilder).AddToScheme-fm(0xc420134370, 0xc427d05200, 0x8b3a3af)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/kubernetes/pkg/api/register.go:68 +0x34
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/apimachinery/announced.(*GroupMetaFactory).Enable(0xc427d051d0, 0xc420134280, 0xc420134370, 0x0, 0x0)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/apimachinery/announced/group_factory.go:200 +0x2cc
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/apimachinery/announced.(*GroupMetaFactory).RegisterAndEnable(0xc427d051d0, 0xc420134280, 0xc420134370, 0xc426419d38, 0xc427d051a0)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/apimachinery/announced/group_factory.go:247 +0x6a
github.com/openshift/origin/vendor/k8s.io/kube-aggregator/pkg/apis/apiregistration/install.Install(0xc4204b8150, 0xc420134280, 0xc420134370)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/kube-aggregator/pkg/apis/apiregistration/install/install.go:41 +0x234
github.com/openshift/origin/pkg/cmd/server/origin.(*MasterConfig).createAggregatorConfig(0xc420d3d600, 0xc420f6cae0, 0xc42168a8c0, 0xdae5f00, 0xc4202b1260, 0xdafb900, 0xc421311820, 0xdb0bf40, 0xc420e7a800, 0x0, ...)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/pkg/cmd/server/origin/aggregator.go:56 +0xdf
github.com/openshift/origin/pkg/cmd/server/origin.(*MasterConfig).Run(0xc420d3d600, 0xc420b65600, 0xc42219cdc0, 0xdb335e0, 0xc421393ec0, 0xc420020180)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/pkg/cmd/server/origin/master.go:166 +0x49e
github.com/openshift/origin/pkg/cmd/server/start.StartAPI(0xc420d3d600, 0xc42031d880, 0xc4211e9320, 0xdb335e0, 0xc421393ec0, 0xc, 0xc4201da59c)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/pkg/cmd/server/start/start_master.go:576 +0x229
github.com/openshift/origin/pkg/cmd/server/start.(*Master).Start(0xc4201a9a60, 0xc4201a9a60, 0xc4212fb800)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/pkg/cmd/server/start/start_master.go:517 +0xb4c
github.com/openshift/origin/pkg/cmd/server/start.MasterOptions.RunMaster(0xc420f68000, 0x1, 0x2da, 0x721, 0x7fff5fbff300, 0x30, 0xdaf4d80, 0xc420036010, 0x0, 0x0, ...)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/pkg/cmd/server/start/start_master.go:310 +0x33a
github.com/openshift/origin/pkg/cmd/server/start.MasterOptions.StartMaster(0xc420f68000, 0x1, 0x2da, 0x721, 0x7fff5fbff300, 0x30, 0xdaf4d80, 0xc420036010, 0x0, 0x0, ...)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/pkg/cmd/server/start/start_master.go:201 +0x60
github.com/openshift/origin/pkg/cmd/server/start.NewCommandStartMaster.func1(0xc4201ba900, 0xc42032ecb0, 0x0, 0x1)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/pkg/cmd/server/start/start_master.go:105 +0x15b
github.com/openshift/origin/vendor/github.com/spf13/cobra.(*Command).execute(0xc4201ba900, 0xc42032ec90, 0x1, 0x1, 0xc4201ba900, 0xc42032ec90)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/github.com/spf13/cobra/command.go:603 +0x439
github.com/openshift/origin/vendor/github.com/spf13/cobra.(*Command).ExecuteC(0xc420149b00, 0xc420036008, 0xc420036018, 0xc420149b00)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/github.com/spf13/cobra/command.go:689 +0x367
github.com/openshift/origin/vendor/github.com/spf13/cobra.(*Command).Execute(0xc420149b00, 0x9, 0xc420149b00)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/github.com/spf13/cobra/command.go:648 +0x2b
main.main()
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/cmd/openshift/openshift.go:36 +0x196


read from:
goroutine 2170 [running]:
runtime/debug.Stack(0xc4201343b0, 0x1, 0xc423becf78)
	/Users/jliggitt/.gvm/gos/go1.7.5/src/runtime/debug/stack.go:24 +0x79
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime.(*Scheme).checkReadGID(0xc420134370)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime/scheme.go:196 +0x81
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime.(*Scheme).ObjectKinds(0xc420134370, 0xdaed980, 0xc422b20120, 0x1800, 0x8, 0x10, 0xc4236c54b0, 0x0, 0xc420068c00)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime/scheme.go:290 +0xbf
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime.UseOrCreateObject(0xdb03e80, 0xc420134370, 0xdae5a40, 0xc420134370, 0xc422674ba0, 0x19, 0xc422674bba, 0x7, 0xc4236c5490, 0xb, ...)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime/codec.go:101 +0x6f
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime/serializer/protobuf.unmarshalToObject(0xdb03e80, 0xc420134370, 0xdae5a40, 0xc420134370, 0xc422674c00, 0xdaed980, 0xc422b20120, 0xc4231e1000, 0x725, 0x800, ...)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime/serializer/protobuf/protobuf.go:391 +0xa3
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime/serializer/protobuf.(*Serializer).Decode(0xc4201343c0, 0xc423a99000, 0x762, 0x800, 0x0, 0xdaed980, 0xc422b20120, 0x20, 0x18, 0x8028ea0, ...)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime/serializer/protobuf/protobuf.go:167 +0xb85
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime/serializer/recognizer.(*decoder).Decode(0xc423379d40, 0xc423a99000, 0x762, 0x800, 0x0, 0xdaed980, 0xc422b20120, 0xde1760, 0x8a758c0, 0xc423bed618, ...)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime/serializer/recognizer/recognizer.go:107 +0x40c
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime/serializer/versioning.(*codec).Decode(0xc421c5a7e0, 0xc423a99000, 0x762, 0x800, 0x0, 0xdaed980, 0xc422b20120, 0xc422b20100, 0xdaed980, 0xc422b20101, ...)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime/serializer/versioning/versioning.go:102 +0xf0
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/runtime.(*codec).Decode(0xc423379d60, 0xc423a99000, 0x762, 0x800, 0x0, 0xdaed980, 0xc422b20120, 0xc421e9f7a0, 0x97, 0xc422674120, ...)
	<autogenerated>:7 +0x99
github.com/openshift/origin/vendor/k8s.io/apiserver/pkg/storage/etcd3.decodeList(0xc423bc8000, 0x6a, 0x6a, 0xc4236e9610, 0x7f06d20, 0xc42312dae0, 0xdb0bd80, 0xc423379d60, 0xdb2cf40, 0xf776680, ...)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apiserver/pkg/storage/etcd3/store.go:562 +0x1d9
github.com/openshift/origin/vendor/k8s.io/apiserver/pkg/storage/etcd3.(*store).List(0xc422c5eb60, 0xfc015c0, 0xc4200144c8, 0xc4234ad6a0, 0x1c, 0x0, 0x0, 0xdb37c00, 0xc4203569a0, 0xdb3b920, ...)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apiserver/pkg/storage/etcd3/store.go:421 +0x730
github.com/openshift/origin/vendor/k8s.io/apiserver/pkg/storage.(*cacherListerWatcher).List(0xc4233a8a80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, ...)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apiserver/pkg/storage/cacher.go:700 +0x10e
github.com/openshift/origin/vendor/k8s.io/client-go/tools/cache.(*Reflector).ListAndWatch(0xc421c5a870, 0xc42312cfc0, 0x0, 0x0)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/tools/cache/reflector.go:245 +0x2ba
github.com/openshift/origin/vendor/k8s.io/apiserver/pkg/storage.(*Cacher).startCaching(0xc4222b82a0, 0xc42312cfc0)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apiserver/pkg/storage/cacher.go:273 +0x110
github.com/openshift/origin/vendor/k8s.io/apiserver/pkg/storage.NewCacherFromConfig.func1.1()
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apiserver/pkg/storage/cacher.go:242 +0x63
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait.JitterUntil.func1(0xc423bedf58)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:96 +0x5e
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait.JitterUntil(0xc423bedf58, 0x3b9aca00, 0x0, 0xc42145d701, 0xc42312cfc0)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:97 +0xad
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait.Until(0xc423bedf58, 0x3b9aca00, 0xc42312cfc0)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:52 +0x4d
github.com/openshift/origin/vendor/k8s.io/apiserver/pkg/storage.NewCacherFromConfig.func1(0xc4222b82a0, 0xc42312cfc0)
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apiserver/pkg/storage/cacher.go:245 +0x95
created by github.com/openshift/origin/vendor/k8s.io/apiserver/pkg/storage.NewCacherFromConfig
	/Users/jliggitt/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apiserver/pkg/storage/cacher.go:246 +0xa72
Comment 3 Jordan Liggitt 2017-07-15 20:20:26 EDT
fixed in https://github.com/openshift/origin/pull/15226
Comment 4 Jordan Liggitt 2017-07-18 13:42:34 EDT
fixed in 3.6.153-1
Comment 5 DeShuai Ma 2017-07-19 02:47:35 EDT
Verify on openshift v3.6.153
kubernetes v1.6.1+5115d708d7
etcd 3.2.1

Don't encounter the error, make as verified.
Comment 7 Jordan Liggitt 2017-08-14 18:38:48 EDT
This was fixed in 3.6.0

Note You need to log in before you can comment on or make changes to this bug.